Name:           xmltv
Version:        0.5.52
Release:        1%{?dist}
Summary:        A set of utilities to manage your TV viewing

Group:          Development/Libraries
License:        GPLv2+
URL:            http://xmltv.org/wiki/
Source0:        http://downloads.sourceforge.net/xmltv/xmltv-%{version}.tar.bz2
Patch0:         xmltv-0.5.35-noask.patch
Patch1:         xmltv-0.5.52-noutf8simple.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP) >= 5.65, perl(XML::Parser) >= 2.34
BuildRequires: perl(XML::Twig) >= 3.28
BuildRequires: perl(Date::Manip) >= 5.42
BuildRequires: perl(XML::Writer) >= 0.600
BuildRequires: perl(Memoize), perl(Storable) >= 2.04
BuildRequires: perl(File::Slurp)
# Recommended
BuildRequires: perl(Lingua::EN::Numbers::Ordinate)
BuildRequires: perl(Lingua::Preferred) >= 0.2.4
BuildRequires: perl(Term::ProgressBar) >= 2.03
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Unicode::String)
###
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTML::Entities) >= 1.27
BuildRequires: perl(WWW::Mechanize) => 1.16
BuildRequires: perl(HTTP::Cookies) >= 1.39
BuildRequires: perl(HTML::Form)
BuildRequires: perl(HTTP::Cache::Transparent)
# Still needed ? - No: needed for more than 6yo perl
#BuildRequires: perl(Unicode::UTF8simple)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(IO::Scalar), perl(Archive::Zip)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(SOAP::Lite) >= 0.67, perl(Term::ReadKey)
%{?_with_text_bidi:BuildRequires: perl(Text::Bidi)}
BuildRequires: perl(Text::Kakasi)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(IO::Stringy)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Tk::TableMatrix)
BuildRequires: perl(CGI)
BuildRequires: perl(HTML::TokeParser), perl(Date::Parse), perl(Time::Local)
BuildRequires: perl(HTML::TableExtract) >= 1.08
BuildRequires: perl(HTML::Parser) >= 3.34

Requires: perl-XMLTV >= %{version}-%{release}
Requires: xmltv-grabbers >= %{version}-%{release}
Requires: xmltv-gui >= %{version}-%{release}

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

%package -n perl-XMLTV
Summary: Perl modules for managing your TV viewing
Group: System Environment/Libraries
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-XMLTV
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%package grabbers
Summary: Backends for xmltv
Group: Applications/Multimedia
Requires: perl-XMLTV >= %{version}-%{release}

%description grabbers
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the backends (grabbers) for xmltv.

%package gui
Summary: Graphical frontends to xmltv
Group: Applications/Multimedia
Requires: perl-XMLTV >= %{version}-%{release}

%description gui
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains graphical frontends to xmltv.

%prep
%setup -q
%patch0 -p1 -b .noask
%patch1 -p1 -b .noutf8simple


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/tv_cat
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_bindir}/tv_to_potatoe
%{_bindir}/tv_find_grabbers
%{_bindir}/tv_validate_file
%{_bindir}/tv_validate_grabber
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*
%{_mandir}/man1/tv_to_potatoe.1*
%{_mandir}/man1/tv_find_grabbers.1*
%{_mandir}/man1/tv_validate_file.1*
%{_mandir}/man1/tv_validate_grabber.1*

%files -n perl-XMLTV
%defattr(-,root,root,-)
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{_mandir}/man3/*.3*

%files grabbers
%defattr(-,root,root,-)
%{_bindir}/tv_grab_*
%{_mandir}/man1/tv_grab_*.1*

%files gui
%defattr(-,root,root,-)
%{_bindir}/tv_check
%{_mandir}/man1/tv_check.1*



%changelog
* Sun Jul 20 2008 kwizart < kwizart at gmail.com > - 0.5.52-1
- Update to 0.5.52

* Tue May 27 2008 kwizart < kwizart at gmail.com > - 0.5.51-2
- Add patch to remove BR on Unicode::UTF8simple (backport from upstream)

* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 0.5.51-1
- Initial package for RPMFusion

